package cn.com.qmth.examcloud.config.center.core;

/**
 * 启动安全管理器
 *
 * @author WANGWEI
 * @date 2019年3月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class BootstrapSecurityManager {

	private static BootstrapSecurityManager mgr;

	private static final Object LOCK = new Object();

	private String secretKey;

	private String active;

	/**
	 * 构造函数
	 */
	private BootstrapSecurityManager() {
	}

	/**
	 * 获取单例
	 *
	 * @author WANGWEI
	 * @return
	 */
	public static BootstrapSecurityManager getInstance() {
		if (null == mgr) {
			synchronized (LOCK) {
				if (null == mgr) {
					mgr = new BootstrapSecurityManager();
				}
				return mgr;
			}
		} else {
			return mgr;
		}
	}

	public String getSecretKey() {
		return secretKey;
	}

	public void setSecretKey(String secretKey) {
		this.secretKey = secretKey;
	}

	public String getActive() {
		return active;
	}

	public void setActive(String active) {
		this.active = active;
	}

}
