package cn.com.qmth.sdk.score;

import java.util.concurrent.atomic.AtomicBoolean;

import cn.com.qmth.sdk.response.OuterGetScoreDataResp;

/**
 * 分数处理控制器
 *
 * @author WANGWEI
 * @date 2018年11月23日
 * @Copyright (c) 2018-2020 WANGWEI [QQ:522080330] All Rights Reserved.
 */
public class ScoreHandlerController {

	/**
	 * 是否正在处理
	 */
	private static AtomicBoolean running = new AtomicBoolean(false);

	/**
	 * 启动 (收到同步信号后调用该方放)
	 *
	 * @author WANGWEI
	 */
	public static void start() {
		if (running.get()) {
			return;
		}

		new Thread(new ScoreHandler(new ValidScoreHandler() {

			@Override
			public void handle(OuterGetScoreDataResp data) {
				// 这里写有效分处理逻辑
			}
		}, new InvalidScoreHandler() {

			@Override
			public void handle(OuterGetScoreDataResp data) {
				// 这里写无效分处理逻辑

			}

		}, running)).start();

	}

}
