package cn.com.qmth.sdk.test;

import java.io.File;
import java.util.List;
import java.util.Map;

import org.apache.commons.io.IOUtils;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;

import cn.com.qmth.sdk.helpers.FormFilePart;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;

/**
 * 学生照片处理
 *
 * @author WANGWEI
 * @date 2018年12月7日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class StudentFace {

	public static void main(String[] args) {
		// addPhotoByUrl();
		addPhoto();
		importPhotos();
	}

	public static void addPhotoByUrl() {
		String url = QmthUtil.buildUrl("/api/exchange/outer/face/addPhotoByUrl");
		Map<String, String> params = Maps.newHashMap();
		params.put("rootOrgId", String.valueOf(QmthUtil.getRootOrgId()));
		params.put("identityNumber", "42112100001111");
		params.put("photoUrl",
				"http://img1.tgbusdata.cn/v2/thumb/jpg/ODM1NSw1ODAsMTAwLDQsMywxLC0xLDAscms1MA==/u/wow.tgbus.com/UploadFiles_2396/201006/20100618101355686.jpg");
		params.put("operator", "测试");

		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(), params);
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}

	}

	public static void addPhoto() {
		String url = QmthUtil.buildUrl("/api/exchange/outer/face/addPhoto");
		Map<String, String> params = Maps.newHashMap();
		params.put("rootOrgId", String.valueOf(QmthUtil.getRootOrgId()));
		params.put("identityNumber", "42112100001111");
		params.put("operator", "测试");

		List<FormFilePart> fileList = Lists.newArrayList();
		fileList.add(new FormFilePart("file", "42112100001111.jpg",
				new File("D:/Temp/42112100001111.jpg")));

		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(), params,
					fileList);
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}

	public static void importPhotos() {
		String url = QmthUtil.buildUrl("/api/exchange/outer/face/importPhotos");
		Map<String, String> params = Maps.newHashMap();
		params.put("rootOrgId", String.valueOf(QmthUtil.getRootOrgId()));
		params.put("operator", "测试");

		List<FormFilePart> fileList = Lists.newArrayList();
		fileList.add(new FormFilePart("file", "42112100001111.zip",
				new File("D:/Temp/42112100001111.zip")));
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(), params,
					fileList);
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}

	}

}
